<?php

if( !function_exists('pr' ) ){
    function pr( $any = '' ) {

        echo '<pre>';
        print_r($any);
        echo '</pre>';
    }
}
if( !function_exists('pre' ) ){
    function pre( $any = '' ) {

        echo '<pre>';
        var_export($any);
        echo '</pre>';
    }
}

function sellvia_parse_args( $defaults, $args ) {

    $foo = [];

    foreach( $defaults as $key => $val )
        $foo[ $key ] = isset( $args[ $key ] ) ? $args[ $key ] : $val;

    return $foo;
}

function sellvia_customQuery( $data, $table, $post_id = '' ) {

    if( ! $data || empty( $data ) ) return false;

    global $wpdb;

    $table = $wpdb->prefix . $table;

    $head   = true;
    $keys   = array();
    $values = array();

    foreach( $data as $key => $val ) {

        $foo = array();

        if( is_array( $val ) ) {
            foreach( $val as $k => $v ) {

                if( $head )
                    $keys[] = $k;

                $foo[] = $v;
            }
        } else{
            if( $head )
                $keys[] = $key;

            $foo[] = $val;
        }

        if( $post_id != '' && $head )
            $keys[] = 'post_id';

        if( $post_id != '' )
            $foo[] = $post_id;

        $head = false;

        $values[] = "'". implode("', '", $foo) . "'";
    }

    $query = "INSERT INTO {$table} (`" . implode('`, `', $keys) . "`) VALUES (" . implode('), (', $values) . ");";

    $wpdb->query( $query );

    return true;
}

function sellvia_upload_images( $obj, $images, $post_id, $url ) {

    $img_id = sellvia_exists_image( $url, $images );

    if( $img_id )
        return $img_id;

    $loadImg = $obj->attachmentImage( $post_id, $url );

    if ( $loadImg && $loadImg[ 'url' ] ) {
        return $loadImg[ 'id' ];
    }

    return false;
}

function sellvia_exists_image( $url, $images ) {

    foreach( $images as $image ) {
        if( $image[ 'url' ] == $url && $image[ 'post_id' ] > 0 )
            return $image[ 'post_id' ];
    }

    return false;
}

function sellvia_add_activities( $args, $anonce = '', $type = '', $status = 'info', $post_id = 0, $hash = null, $trouble = '' ) {

    global $wpdb;

    if ( is_array( $args ) || is_object( $args ) ) {
        $args = serialize( $args );
    }

    $wpdb->insert(
        $wpdb->sellvia_activities,
        [
            'post_id'      => $post_id,
            'hash'         => $hash,
            'product_data' => $args,
            'type'         => $type,
            'date'         => date( 'Y-m-d H:i:s' ),
            'status'       => $status,
            'anonce'       => $anonce,
            'trouble'      => $trouble
        ]
    );
}
add_action( 'sellvia_log', 'sellvia_add_activities', 10, 7 );

function sellvia_report_product_html(){

    global $post;

    if( empty( $post->ID) ) return;

    $sellvia_post_id = get_post_meta( $post->ID, 'sellvia_post_id', true  );

    if( !empty( $sellvia_post_id ) ) {
        echo '<div 
                id="sellvia-report-product" 
                data-sellvia_post_id="' . $sellvia_post_id . '"
                data-post_id="' . $post->ID . '"
                data-post_title="' . $post->post_title . '"
            ></div>';
    }
}

function sellvia_admin_notices_banner() { ?>

    <?php
    $customerMarketing = new \sellvia\CustomerMarketing\CustomerMarketing();
    $banner = $customerMarketing->admin_banner();

    if (!isset($banner['admin_notice_banner'])) return true;

    $bannerSettings = $banner['admin_notice_banner'];

    if (!$bannerSettings['enable'] || !isset($bannerSettings['desktop_image']['url']) || !isset($bannerSettings['mobile_image']['url'])) {
        return true;
    }

    $bannerUrl = $bannerSettings['banner_url'] ?? '';
    ?>

    <style>
        .wrap .sellvia-banner{
            margin: 15px 0;
            padding: 0;
        }
        .sellvia-banner a{
            outline: none !important;
            box-shadow: none;
        }
        .sellvia-banner img{
            max-width: 100%;
            height: auto;
        }
        .sellvia-banner .desktop{
            display: block;
        }
        .sellvia-banner .mobile{
            display: none;
        }
        @media (max-width:768px) {
            .wrap .sellvia-banner{
                margin-top: 25px;
            }
            .sellvia-banner .desktop{
                display: none;
            }
            .sellvia-banner .mobile{
                display: block;
            }
        }
    </style>
    <div class="sellvia-banner notice notice-info"
         style="border: none; box-shadow: none; background: transparent">
        <div class="desktop">
            <?php if ($bannerUrl){ ?>
            <a href="<?php echo $bannerUrl ?>" target="_blank">
                <?php } ?>
                <img src="<?php echo $bannerSettings['desktop_image']['url']; ?>"/>
                <?php if ($bannerUrl){ ?>
            </a>
        <?php } ?>
        </div>
        <div class="mobile">
            <?php if ($bannerUrl){ ?>
            <a href="<?php echo $bannerUrl ?>" target="_blank">
                <?php } ?>
                <img src="<?php echo $bannerSettings['mobile_image']['url']; ?>"/>
                <?php if ($bannerUrl){ ?>
            </a>
        <?php } ?>
        </div>

    </div>
<?php }
add_action( 'admin_notices', 'sellvia_admin_notices_banner' );