<?php
function sellvia_init_product_edit(){

    $keys = sellvia_get_api_keys();

    if( empty( $keys['public_key'] ) || empty( $keys['secret_key'] ) ){
        return false;
    }

    $screen = get_current_screen();

    if( isset( $screen->id ) && $screen->id === 'product' ) {
        add_action('admin_head', 'sellvia_admin_head_product_scripts');

        add_action( 'admin_footer', 'sellvia_report_product_html' );

        add_action( 'add_meta_boxes', 'sellvia_product_metaboxes' );
    }

}
add_action( 'current_screen', 'sellvia_init_product_edit' );

function sellvia_product_metaboxes() {

    global $post;

    $sellvia_post_id = get_post_meta( $post->ID, 'sellvia_post_id', true  );

    if( !empty( $sellvia_post_id ) ) {
//        add_meta_box(
//            'sellvia_product_shipping_badge_settings',
//            __('Sellvia Shipping Badge', 'sel'),
//            'sellvia_product_shipping_badge_settings_metabox',
//            'product',
//            'side',
//            'low'
//        );

        add_meta_box(
            'sellvia_product_options',
            __('Sellvia Product Options', 'sel'),
            'sellvia_product_options_metabox',
            'product',
            'normal',
            'default'
        );

        add_meta_box(
            'sellvia_product_reset',
            '<div style="display: flex; align-items: center">'.
                '<img src="'. SELLVIA_URL .'/assets/images/sellvia_icon_white.svg" height="18" width="18" style="margin-right: 5px; display:block"/>'.
                '<div>' . __('Sellvia Product', 'sel') . '</div>'.
            '</div>',
            'sellvia_product_metabox',
            'product',
            'side',
            'core'
        );
    }else{

        //Metabox to connect product to Sellvia
        add_meta_box(
            'sellvia_product_connect',
            '<div style="display: flex; align-items: center">'.
                '<img src="'. SELLVIA_URL .'/assets/images/sellvia_icon_white.svg" height="18" width="18" style="margin-right: 5px; display:block"/>'.
                '<div>' . __('Sellvia connect', 'sel') . '</div>'.
            '</div>',
            'sellvia_product_connect_metabox',
            'product',
            'side',
            'core'
        );
    }
}


function sellvia_product_shipping_badge_settings_metabox() {
    echo '<div id="sellvia-product-shipping-badge-settings"></div>';
}

function sellvia_product_options_metabox() {
    echo '<div id="sellvia-product-options"></div>';
}

function sellvia_product_metabox() {
    echo '<div id="sellvia-product"></div>';
}

function sellvia_product_connect_metabox(){
    echo '<div id="sellvia-product-connect"></div>';
}

function sellvia_admin_head_product_scripts() {

//    $screen = get_current_screen();
//
//    if( isset( $screen->id ) && $screen->id === 'product' ) {

        wp_enqueue_script( 'sellvia_main_script', SELLVIA_URL . '/assets/js/main.min.js', [], SELLVIA_VERSION  );
        wp_enqueue_style( 'sellvia_style', SELLVIA_URL . '/assets/css/style.min.css', [], SELLVIA_VERSION );
        wp_deregister_script( 'autosave' );

        return true;
//    }


//    return false;
}
