<?php
use sellvia\Request as Request;
	
use sellvia\ShippingBadge\ShippingBadge;

use sellvia\ProductUpdate\ProductUpdateAds as ProductUpdateAds;
use sellvia\ProductUpdate\ProductUpdateWoo as ProductUpdateWoo;

use sellvia\Media\Upload\uploadExternalMediaAds as uploadExternalMediaAds;
use sellvia\Media\Upload\uploadExternalMediaWoo as uploadExternalMediaWoo;

use sellvia\Order\OrderAds as OrderAds;
use sellvia\Order\OrderWoo as OrderWoo;

use sellvia\ProductActivities as ProductActivities;

function sellvia_request() {

    $obj = new Request();

    if( isset( $_POST['method'] ) ) {
        $_POST['sellvia_action'] = $_POST['method'];
    }

    wp_send_json( $obj->actions( $_POST ) );
}
add_action('wp_ajax_sellvia_request', 'sellvia_request');

function sellvia_ajax_shipping_badge() {
	
	wp_send_json( ( new ShippingBadge )->actions( $_POST ) );
}
add_action( 'wp_ajax_sellvia_shipping_badge', 'sellvia_ajax_shipping_badge' );
add_action( 'wp_ajax_nopriv_sellvia_shipping_badge', 'sellvia_ajax_shipping_badge' );

function sellvia_ajax_update_product() {

    if( SELLVIA_PLUGIN == 'ADS' )
        wp_send_json( ( new ProductUpdateAds() )->actions( $_POST ) );
    elseif( in_array( SELLVIA_PLUGIN, ['ADSW', 'WOO'] ))
        wp_send_json( ( new ProductUpdateWoo() )->actions( $_POST ) );

    exit;
}
add_action( 'wp_ajax_sellvia_update_product', 'sellvia_ajax_update_product' );

function sellvia_ajax_upload_external_media_product() {

    if( SELLVIA_PLUGIN == 'ADS' )
        wp_send_json( ( new uploadExternalMediaAds() )->actions( $_POST ) );
    elseif( in_array( SELLVIA_PLUGIN, ['ADSW', 'WOO'] ))
        wp_send_json( ( new uploadExternalMediaWoo() )->actions( $_POST ) );

    exit;
}
add_action( 'wp_ajax_sellvia_upload_external_media_product', 'sellvia_ajax_upload_external_media_product' );

function sellvia_ajax_order() {

    if( SELLVIA_PLUGIN == 'ADS' )
        wp_send_json( ( new OrderAds() )->actions( $_POST ) );
    elseif( in_array( SELLVIA_PLUGIN, ['ADSW', 'WOO'] ))
        wp_send_json( ( new OrderWoo() )->actions( $_POST ) );

    exit;
}
add_action( 'wp_ajax_sellvia_order', 'sellvia_ajax_order' );

function sellvia_ajax_product_activities() {

    wp_send_json( ( new ProductActivities() )->actions( $_POST ) );
    exit;
}
add_action( 'wp_ajax_sellvia_product_activities', 'sellvia_ajax_product_activities' );

function sellvia_ads_place_order_automatically( $pay ){

    if( SELLVIA_PLUGIN == 'ADS' )
        ( new OrderAds() )->place_order_automatically( $pay );
}
add_action(  'ads_pay_success', 'sellvia_ads_place_order_automatically' );

function sellvia_woocommerce_payment_complete( $order_id, $transaction_id ){

    if( in_array( SELLVIA_PLUGIN, ['ADSW', 'WOO'] ) )
        ( new OrderWoo() )->place_order_automatically( $order_id );
}
add_action( 'woocommerce_payment_complete', 'sellvia_woocommerce_payment_complete', 100, 2);

function sellvia_income_request(){

    if( ! isset( $_POST[ 'sellvia_signature' ] ) || !isset( $_POST[ 'action' ] ) || !isset( $_POST[ 'method' ] ) ) return false;

    $keys = sellvia_get_api_keys();

    $public_key  = $keys['public_key'];
    $secret_key  = $keys['secret_key'];

    if( md5( $public_key . $secret_key ) !== sanitize_text_field( $_POST[ 'sellvia_signature' ] ) ) return false;

    if( sanitize_text_field( $_POST[ 'action' ] ) == 'order' ){

        if( SELLVIA_PLUGIN == 'ADS' )
            wp_send_json( ( new OrderAds() )->income_method( $_POST ) );
        elseif( in_array( SELLVIA_PLUGIN, ['ADSW', 'WOO'] ))
            wp_send_json( ( new OrderWoo() )->income_method( $_POST ) );

        exit;
    }
}
add_action( 'wp', 'sellvia_income_request' );
