<?php

function sellvia_admin_menu() {

    if( function_exists('add_menu_page') ) {

        $keys = sellvia_get_api_keys();

        $has_keys = !empty( $keys['public_key'] ) && !empty( $keys['secret_key'] );

        add_menu_page(
            __( 'Sellvia', 'sel' ),
            __( 'Sellvia', 'sel' ),
            'activate_plugins',
            'sellvia',
            $has_keys ? 'sellvia_menu_products' : 'sellvia_menu_license',
            SELLVIA_URL.'/assets/images/icon_sellvia.svg'
        );

        if( $has_keys ) {

            add_submenu_page(
                'sellvia',
                __('Product List', 'sel'),
                __('Product List', 'sel'),
                'activate_plugins',
                'sellvia',
                'sellvia_menu_products'
            );

            add_submenu_page(
                'sellvia',
                __('Academy', 'sel'),
                __('Academy', 'sel'),
                'activate_plugins',
                'sellvia_academy',
                'sellvia_menu_academy'
            );

            add_submenu_page(
                'sellvia',
                __( 'Presets', 'sel' ),
                __( 'Presets', 'sel' ),
                'activate_plugins',
                'sellvia_presets',
                'sellvia_menu_presets'
            );

            add_submenu_page(
                'sellvia',
                __('Fast Shipping Badge', 'sel'),
                __('Shipping Badge', 'sel'),
                'activate_plugins',
                'sellvia_fast_shipping_badge',
                'sellvia_menu_fast_shipping_badge'
            );

            add_submenu_page(
                'sellvia',
                __('Settings', 'sel'),
                __('Settings', 'sel'),
                'activate_plugins',
                'sellvia_settings',
                'sellvia_menu_settings'
            );

            add_submenu_page(
                'sellvia',
                __('Update products', 'sel'),
                __('Update products', 'sel'),
                'activate_plugins',
                'sellvia_updates',
                'sellvia_menu_updates'
            );

        }

        add_submenu_page(
            'sellvia',
            __( 'API Keys', 'sel' ),
            __( 'API Keys', 'sel' ),
            'activate_plugins',
            $has_keys ? 'sellvia_license' : 'sellvia',
            'sellvia_menu_license'
        );
    }
}
add_action( 'admin_menu', 'sellvia_admin_menu' );

function sellvia_enqueue(){

    wp_enqueue_script( 'sellvia_main_script', SELLVIA_URL . '/assets/js/main.min.js', [], SELLVIA_VERSION  );
    wp_enqueue_style( 'sellvia_style', SELLVIA_URL . '/assets/css/style.min.css', [], SELLVIA_VERSION );
}

function sellvia_menu_academy(){

    sellvia_enqueue();

    printf(
        '<div class="wrap sellvia-wrap">
            <div id="sellvia-academy"></div>
        </div>'
    );
}

function sellvia_menu_products() {

    sellvia_enqueue();

    printf(
        '<div class="wrap sellvia-wrap">
            <div id="sellvia-products"></div>
        </div>'
    );
}

function sellvia_menu_presets(){

    sellvia_enqueue();

    printf(
        '<div class="wrap sellvia-wrap">
            <div id="sellvia-presets"></div>
        </div>'
    );
}

function sellvia_menu_fast_shipping_badge(){

    sellvia_enqueue();

    printf(
        '<div class="wrap sellvia-wrap">
            <div id="sellvia-shipping-badge"></div>
        </div>'
    );
}

function sellvia_menu_settings(){

    sellvia_enqueue();

    printf(
        '<div class="wrap sellvia-wrap">
            <div id="sellvia-settings"></div>
        </div>'
    );
}

function sellvia_menu_updates(){

    sellvia_enqueue();

    printf(
        '<div class="wrap sellvia-wrap">
            <div id="sellvia-updates"></div>
        </div>'
    );
}

function sellvia_menu_license() {

    sellvia_enqueue();

    printf(
        '<div class="wrap sellvia-wrap">
            <div id="sellvia-license"></div>
        </div>'
    );
}

function sellvia_init_global_scripts() {

    wp_enqueue_style( 'sellvia_global_style', SELLVIA_URL . '/assets/css/global.css', [], SELLVIA_VERSION );
}

add_action( 'admin_head', 'sellvia_init_global_scripts' );


