<?php


namespace sellvia\CustomerMarketing;


class CustomerMarketing{

    public function admin_banner(){

        $result = self::call( '/sellvia_customer_plugin/BannerSettings');

        if( (isset($result['status']) && $result['status'] == 'success') && isset($result['data']['admin_notice_banner'])){
            return $result['data'];
        } else {
            return true;
        }
    }

    static function call( $path, $args = [] ) {

        $keys = sellvia_get_api_keys();

        $public_key  = $keys['public_key'];
        $secret_key  = $keys['secret_key'];

        $auth_args = [
            'public_key'  => $public_key,
            'signature'   => md5( $public_key . $secret_key ),
            'domain'      => get_home_url(),
            'plugin'      => 'sellvia-platform',
        ];

        $args = array_merge( $args, $auth_args );

        $response = wp_remote_post( SELLVIA_REQUEST_PATH . $path, [
            'method'    => 'POST',
            'timeout'   => 120,
            'sslverify' => false,
            'headers'   => [],
            'body'      => json_encode( $args )
        ] );


        if( is_wp_error( $response ) )
            return [ 'error' => $response->get_error_message() ];

        if( ! wp_remote_retrieve_response_code( $response ) == '200' )
            return [ 'error' => __( 'The response from the server has not been received', 'slv' ) ];

        return json_decode( wp_remote_retrieve_body( $response ), true );
    }

}