<?php


namespace sellvia;


class Plugins{

    public function __construct(){

    }

    public function get_plugin_status( $slug ) {

        if ( ! $this->is_plugin_installed( $slug ) ) {
            return 'not_installed';
        }

        if ( ! $this->is_plugin_active( $slug ) ) {
            return 'not_active';
        } else {
            return 'active';
        }
    }

    public function is_plugin_installed( $slug ) {
        $installed_plugins = $this->get_plugins(); // Retrieve a list of all installed plugins (WP cached).
        $file_path = $this->_get_plugin_basename_from_slug($slug);
        return ( ! empty( $installed_plugins[ $file_path ] ) );
    }

    public function is_plugin_active( $slug ) {
        $file_path = $this->_get_plugin_basename_from_slug($slug);
        return ( is_plugin_active( $file_path ) );
    }

    public function get_plugins( $plugin_folder = '' ) {
        if ( ! function_exists( 'get_plugins' ) ) {
            require_once ABSPATH . 'wp-admin/includes/plugin.php';
        }

        return get_plugins( $plugin_folder );
    }

    protected function _get_plugin_basename_from_slug( $slug ) {

        $keys = array_keys( $this->get_plugins() );

        foreach ( $keys as $key ) {
            if ( preg_match( '|^' . $slug . '/|', $key ) ) {
                return $key;
            }
        }

        return $slug;
    }

}