<?php


namespace sellvia\ShippingBadge;


class BusinessDaysCalculator {

    private $holidays = [

        'US' => [
            0 => '2021-01-01',
            1 => '2021-01-18',
            2 => '2021-02-15',
            3 => '2021-05-31',
            4 => '2021-07-04',
            5 => '2021-07-05',
            6 => '2021-09-06',
            7 => '2021-10-11',
            8 => '2021-11-11',
            9 => '2021-11-25',
            10 => '2021-12-25',
            11 => '2021-12-31',
            12 => '2022-01-01',
            13 => '2022-01-17',
            14 => '2022-02-21',
            15 => '2022-05-30',
            16 => '2022-07-04',
            17 => '2022-09-05',
            18 => '2022-10-10',
            19 => '2022-11-11',
            20 => '2022-11-24',
            21 => '2022-12-25',
            22 => '2022-12-26',
        ]
    ];

    private $locale = 'US';


    private function parseBusinessDays(){
        $holidays_url = 'https://www.officeholidays.com/ics-fed/usa';
//        $holidays_url = 'https://www.officeholidays.com/ics/usa';
//        $holidays_url = 'https://www.officeholidays.com/ics-clean/usa';


            $ch = curl_init($holidays_url);
            curl_setopt($ch,CURLOPT_RETURNTRANSFER,true);
            $ics = curl_exec($ch);
            curl_close($ch);
            $ics = explode("\n",$ics);
            $ics = preg_grep('/^DTSTART;/',$ics);

            return preg_replace('/^DTSTART;VALUE=DATE:(\\d{4})(\\d{2})(\\d{2}).*/s','$1-$2-$3',$ics);
    }

    # $date must be in YYYY-MM-DD format
    public function addBusinessDays( $date, $numDays = 0 ){

        $addDay = 0;

        while ( $numDays-- ) {
            while (true) {
                $addDay++;
                $newDate = date('Y-m-d', strtotime("$date +$addDay Days"));
                $newDayOfWeek = date('w', strtotime($newDate));
                if ( $newDayOfWeek > 0 && $newDayOfWeek < 6 && !in_array( $newDate, $this->holidays[ $this->locale ] ) ) break;
            }
        }

        return $newDate;
    }
}