<?php
/**
 * Author: Vitaly Kukin
 * Date: 04.03.2018
 * Time: 12:01
 */

namespace sellvia\location;


class locationAPI {
	
	private $ip;
	
	public function __construct() {
        
        $this->ip = $this->get_ip_address();
//        $this->ip = '50.27.151.255';

        $match = [];
		if( preg_match( '/(\d{1,3}.\d{1,3}.\d{1,3}.\d{1,3})/', $this->ip ,$match) ){
            $this->ip = $match[1];
        }

	}
	
	public function getCountry() {
		
		$SxGeo    = new SxGeo( dirname( __FILE__ ) . '/SxGeo.dat' );

		$location = $SxGeo->getCountry( $this->ip );

		return ! $location ? false : [
			'country' => $location == 'GB' ? 'UK' : $location,
			'ip'      => $this->ip
		];
	}

	private function get_ip_address(){

        if ( ! empty( $_SERVER['HTTP_CLIENT_IP'] ) ) {

            $ip = $_SERVER['HTTP_CLIENT_IP'];
        }
        elseif ( ! empty( $_SERVER['HTTP_X_FORWARDED_FOR'] ) ) {

            $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
        }
        else {
            $ip = $_SERVER['REMOTE_ADDR'];
        }

        return $ip;
    }
}