<?php

/**
 * Setup the plugin
 */
function sellvia_install() {

    require( SELLVIA_PATH . 'install/sql.php' );

    require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );

    foreach( sellvia_sql_list() as $key ) {
        dbDelta($key);
    }

    new \sellvia\Upgrade();

    update_option( 'sellvia-version', SELLVIA_VERSION );

    sellvia_install_options();

}
/**
 * Set new options default
 */
function sellvia_install_options(){

    add_option( 'sellvia_last_update_products', current_time( 'timestamp' ) );

    update_option( 'comments_notify', '', false );
    update_option( 'moderation_notify', '', false );
}

/**
 * Uninstall plugin
 */
function sellvia_uninstall() {

}

/**
 * Check installed plugin
 */
function sellvia_installed(){

    if ( !current_user_can( 'install_plugins' ) ) return;

    if ( get_option( 'sellvia-version' ) < SELLVIA_VERSION  )
        sellvia_install( );
}
add_action( 'admin_menu', 'sellvia_installed' );

/**
 * When activate plugin
 */
function sellvia_activate(){

    sellvia_installed();

    do_action( 'sellvia_activate' );
}

/**
 * When deactivate plugin
 */
function sellvia_deactivate(){

    sellvia_uninstall();
    do_action( 'sellvia_deactivate' );
}
