<?php

if( ! function_exists( 'sellvia_sql_list' ) ) {

    function sellvia_sql_list(){

        global $wpdb;

        $charset_collate = $wpdb->get_charset_collate();

        return [

            "CREATE TABLE IF NOT EXISTS {$wpdb->prefix}sellvia_shipping_group (
	            `id` 			  BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
	            `wh_id` 		  BIGINT(20) UNSIGNED NOT NULL,
	            `wh_shipping_id`  BIGINT(20) UNSIGNED NOT NULL,
	            `title`           VARCHAR(255)        DEFAULT NULL,
                `profit`          DECIMAL(10,2)       DEFAULT '0.00',
                `details`         TEXT                DEFAULT NULL,
                `retail`          DECIMAL(10,2)       DEFAULT '0.00',
                `retail_details`  TEXT                DEFAULT NULL,
	            PRIMARY KEY (`id`),
	            KEY (`wh_id`),
	            KEY (`wh_shipping_id`)
		    ) {$charset_collate};",

            "CREATE TABLE IF NOT EXISTS {$wpdb->prefix}sellvia_shipping_relation (
	            `id` 			    BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
	            `post_id` 	        BIGINT(20) UNSIGNED NOT NULL,
	            `skuAttrId`         VARCHAR(255)        DEFAULT NULL,
                `wh_pr_id` 	        BIGINT(20) UNSIGNED NOT NULL,
                `shipping_group_id` BIGINT(20) UNSIGNED NOT NULL,
                `count`             INT(11)    UNSIGNED DEFAULT '0',
	            PRIMARY KEY (`id`),    
                KEY (`post_id`),
                KEY `skuAttrId` (`skuAttrId`(190)),
                KEY (`wh_pr_id`),
                KEY (`shipping_group_id`)
		    ) {$charset_collate};",

            "CREATE TABLE IF NOT EXISTS `{$wpdb->prefix}sellvia_activities` (
	            `id` 	  		   BIGINT(20) NOT NULL AUTO_INCREMENT,
	            `post_id` 		   BIGINT(20) UNSIGNED NOT NULL,
	            `hash` 	  		   VARCHAR(255) DEFAULT NULL,
	            `product_data`     TEXT DEFAULT NULL,
	            `type` 			   VARCHAR(20) DEFAULT NULL,
	            `date` 			   DATETIME DEFAULT NULL,
	            `anonce` 		   VARCHAR(255) DEFAULT NULL,
	            `trouble` 		   VARCHAR(40) DEFAULT NULL,
	            `status` 		   VARCHAR(20) DEFAULT NULL,
	            PRIMARY KEY (`id`)
	        ) {$charset_collate};",
        ];
    }
}
